package com.example.livingai.analysis

import androidx.camera.core.ImageAnalysis
import androidx.camera.core.ImageProxy

class Analyzer(
    private val listener: AnalysisListener
) : ImageAnalysis.Analyzer {

    interface AnalysisListener {
        fun onFrame(imageProxy: ImageProxy)
    }

    override fun analyze(image: ImageProxy) {
        listener.onFrame(image)
    }
}